// packageH/circleCommunity/circleIntroduce/circleIntroduce.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    tabsIndex:0,
    circleId:0,
    circleInfo:{},

    page: 1, //分页数，当前页数
    isLoadMore: true, //判断是否要加载更多的标志
    total_page: 0, //总页数
    listData:[],
    networkLoading:false,
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function (options) {
    this.data.circleId = options.circleId;
    this.getDetails();
    this.getListData();
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function () {

  },

  setTabsIndex(evt){
    let index = evt.currentTarget.dataset.index;
    this.setData({
      tabsIndex:index
    });
  },

  getDetails(){
    let urlStr = app.getNetAddresss('plugin.circle.frontend.circle.get-circle');
    app._postNetWork({
      url: urlStr,
      data:{circle_id:this.data.circleId},
      success: (resdata) => {
        var res = resdata.data;
        if (res.result != 1) return app.tips(res.msg);
        this.setData({
          circleInfo:res.data
        });
        console.log(res);		
      }
    });
  },

  getListData(){
    let urlStr = app.getNetAddresss('plugin.circle.frontend.circle-member.get-circle-memberList');
    let json={circle_id:this.data.circleId,is_review:1};
    app._postNetWork({
      url: urlStr,
      data:json,
      success: (resdata) => {
        var res = resdata.data;
        if (res.result != 1) return app.tips(res.msg);
        this.data.total_page = res.data.last_page;
        if (!this.data.total_page) {
          this.data.total_page = 0;
        }
        this.setData({
          listData:res.data.data,
          networkLoading:true
        });			
      }
    });
  },

  //加载更多数据
  _getMoreData(){
    this.data.isLoadMore = false; // 防止多次请求分页数据
    if (this.data.page >= this.data.total_page) {
      // that.loading = true;
      return;
    } else {
      this.data.page += 1;
      let urlStr = app.getNetAddresss('plugin.circle.frontend.circle-member.get-circle-memberList');
      let json={circle_id:this.data.circleId,is_review:1,page:this.data.page};

      app._postNetWork({
        url: urlStr,
        data:json,
        success: (resdata) => {
          let res = resdata.data;
          this.data.isLoadMore = true;
          if (res.result === 1) {
            let listData = this.data.listData.concat(res.data.data);
            this.setData({listData});
          } else {
            this.data.page = this.data.page - 1;
            this.data.isLoadMore = false;
          }
        }
      });
    }
  },

  outCircle(){
    wx.showModal({
      title: '是否确认退出该圈子',
      content: '注：付费圈子退出后再次去圈子需交费',
      success :(res)=> {
        console.log(res);
        if (res.confirm) {
          console.log("点击确定");
          this.pushOutCircle();
        } else if (res.cancel) {
          console.log('用户点击取消');
        }
      }
    });
  },

  pushOutCircle(){
    let urlStr = app.getNetAddresss('plugin.circle.frontend.circle.quit-circle');
    app._postNetWork({
      url: urlStr,
      data:{circle_id:this.data.circleId},
      success: (resdata) => {
        var res = resdata.data;
        if (res.result != 1) return app.tips(res.msg);
        try {
          let pages = getCurrentPages();
          let page = pages[pages.length-2];
          page.updateView();
        } catch (error) {
          console.log(error);
        }
        wx.navigateBack();

      }
    });
  },


  followMember(evt){
    let index = evt.currentTarget.dataset.index;
    let id = evt.currentTarget.dataset.id;
    let is_attention = this.data.listData[index].is_attention;
    let result;
    let urlStr;
    let json={attention_member_id:id};
    if(is_attention==0){
      result=1;
      urlStr = app.getNetAddresss('plugin.circle.frontend.circle-member.attention-member');
    }else if(is_attention==1){
      result=0;
      urlStr = app.getNetAddresss('plugin.circle.frontend.circle-member.cancel-attention');
    }
		
    app._getNetWork({
      url: urlStr,
      data:json,
      success: (resdata) => {
        var res = resdata.data;
        app.tips(res.msg);
        if (res.result != 1) return;
        let target="listData["+index+"].is_attention";
        this.setData({
          [target]:result
        });	
      }
    });
  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function () {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function () {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function () {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function () {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function () {

  },


  /**
	 * 用户点击右上角分享
	 */
  onShareTimeline(){},
  onShareAppMessage: function () {

  }
});